<?php
/**
 * File containing the FileInfoTest class.
 *
 * @copyright Copyright (C) eZ Systems AS. All rights reserved.
 * @license For full copyright and license information view LICENSE file distributed with this source code.
 * @version 2014.05.1
 */
namespace eZ\Publish\Core\IO\Tests\MimeTypeDetector;

use eZ\Publish\Core\IO\MimeTypeDetector\FileInfo as MimeTypeDetector;
use PHPUnit_Framework_TestCase;

class FileInfoTest extends PHPUnit_Framework_TestCase
{
    /** @var MimeTypeDetector */
    protected $mimeTypeDetector;

    public function setUp()
    {
        $this->mimeTypeDetector = new MimeTypeDetector;
    }

    protected function getFixture()
    {
        return __DIR__ . '/../_fixtures/squirrel-developers.jpg';
    }

    public function testGetFromPath()
    {
        self::assertEquals(
            $this->mimeTypeDetector->getFromPath(
                $this->getFixture()
            ),
            'image/jpeg'
        );
    }

    public function testGetFromBuffer()
    {
        self::assertEquals(
            $this->mimeTypeDetector->getFromBuffer(
                file_get_contents( $this->getFixture() )
            ),
            'image/jpeg'
        );
    }
}
